[PATCH] mdraid/module-setup.sh: install configs from /etc/mdadm.conf.d

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



/etc/mdadm.conf.d directory is supported since mdadm-3.3
---
 modules.d/90mdraid/module-setup.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/modules.d/90mdraid/module-setup.sh b/modules.d/90mdraid/module-setup.sh
index 1d72f21..34aae1e 100755
--- a/modules.d/90mdraid/module-setup.sh
+++ b/modules.d/90mdraid/module-setup.sh
@@ -102,6 +102,14 @@ install() {
         else
             [ -f /etc/mdadm/mdadm.conf ] && inst /etc/mdadm/mdadm.conf /etc/mdadm.conf
         fi
+        if [ -d /etc/mdadm.conf.d ]; then
+            local f
+            inst_dir /etc/mdadm.conf.d
+            for f in /etc/mdadm.conf.d/*.conf; do
+                [ -f "$f" ] || continue
+                inst "$f"
+            done
+        fi
     fi
 
     inst_hook pre-udev 30 "$moddir/mdmon-pre-udev.sh"
-- 
1.8.1.5

--
To unsubscribe from this list: send the line "unsubscribe initramfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Kernel]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]

  Powered by Linux